| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::reg::MapProjec Class Reference
Image Registration

`#include <opencv2/reg/mapprojec.hpp>`

Inheritance diagram for cv::reg::MapProjec:

## Public Member Functions
| MapProjec ()
| MapProjec (InputArray projTr)
| ~MapProjec ()
void | compose (cv::Ptr< Map > map) CV_OVERRIDE
const cv::Matx< double, 3, 3 > & | getProjTr () const
void | getProjTr (OutputArray projTr) const
cv::Ptr< Map > | inverseMap () const CV_OVERRIDE
void | inverseWarp (InputArray img1, OutputArray img2) const CV_OVERRIDE
void | normalize ()
void | scale (double factor) CV_OVERRIDE
Public Member Functions inherited from cv::reg::Map
virtual | ~Map ()
virtual void | warp (InputArray img1, OutputArray img2) const

## Detailed Description

Defines an transformation that consists on a projective transformation

## Constructor & Destructor Documentation

## ◆ MapProjec() [1/2]

cv::reg::MapProjec::MapProjec | ( |  | ) |

Python:
| <reg_MapProjec object> | = | cv.reg_MapProjec( |  | )
| <reg_MapProjec object> | = | cv.reg_MapProjec( | projTr | )

Default constructor builds an identity map

## ◆ MapProjec() [2/2]

cv::reg::MapProjec::MapProjec | ( | InputArray | projTr | ) |

Python:
| <reg_MapProjec object> | = | cv.reg_MapProjec( |  | )
| <reg_MapProjec object> | = | cv.reg_MapProjec( | projTr | )

Constructor providing explicit values

Parameters

  [in] | projTr | Projective transformation

## ◆ ~MapProjec()

cv::reg::MapProjec::~MapProjec | ( |  | ) |

Destructor

## Member Function Documentation

## ◆ compose()

void cv::reg::MapProjec::compose | ( | cv::Ptr< Map > | map | ) |
| virtual

Python:
| None | = | cv.reg_MapProjec.compose( | map | )

Changes the map composing the current transformation with the one provided in the call. The order is first the current transformation, then the input argument.

Parameters

  [in] | map | Transformation to compose with.

Implements cv::reg::Map.

## ◆ getProjTr() [1/2]

const cv::Matx<double, 3, 3>& cv::reg::MapProjec::getProjTr | ( |  | ) | const
| inline

Python:
| projTr | = | cv.reg_MapProjec.getProjTr( | [, projTr] | )

Returns projection matrix

Returns
  Projection matrix

## ◆ getProjTr() [2/2]

void cv::reg::MapProjec::getProjTr | ( | OutputArray | projTr | ) | const
| inline

Python:
| projTr | = | cv.reg_MapProjec.getProjTr( | [, projTr] | )

## ◆ inverseMap()

cv::Ptr<Map> cv::reg::MapProjec::inverseMap | ( |  | ) | const
| virtual

Python:
| retval | = | cv.reg_MapProjec.inverseMap( |  | )

Calculates the inverse map

Returns
  Inverse map

Implements cv::reg::Map.

## ◆ inverseWarp()

void cv::reg::MapProjec::inverseWarp | ( | InputArray | img1,
|  | OutputArray | img2
| ) |  | const
| virtual

Python:
| img2 | = | cv.reg_MapProjec.inverseWarp( | img1[, img2] | )

Warps image to a new coordinate frame. The calculation is img2(x)=img1(T(x)), so in fact this is the inverse warping as we are taking the value of img1 with the forward transformation of the points.

Parameters

  [in] | img1 | Original image
  [out] | img2 | Warped image

Implements cv::reg::Map.

## ◆ normalize()

void cv::reg::MapProjec::normalize | ( |  | ) |
| inline

Python:
| None | = | cv.reg_MapProjec.normalize( |  | )

Normalizes object's homography

## ◆ scale()

void cv::reg::MapProjec::scale | ( | double | factor | ) |
| virtual

Python:
| None | = | cv.reg_MapProjec.scale( | factor | )

Scales the map by a given factor as if the coordinates system is expanded/compressed by that factor.

Parameters

  [in] | factor | Expansion if bigger than one, compression if smaller than one

Implements cv::reg::Map.

The documentation for this class was generated from the following file:

- opencv2/reg/mapprojec.hpp